unit fitsinfo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids,Abitmap;

type
  TFitsinfoform = class(TForm)
    StringGrid1: TStringGrid;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure LoadFitsheader(var fitsheader:Tfitsheader);
    procedure ClearFitsheader;
  end;

var
  Fitsinfoform: TFitsinfoform;

implementation

{$R *.DFM}

procedure TFitsinfoform.FormCreate(Sender: TObject);
begin
  stringgrid1.Cells[0,0]:='Keyword';
  stringgrid1.Cells[1,0]:='Parameter';
  stringgrid1.Cells[2,0]:='Kommentar';
end;

procedure TFitsinfoForm.LoadFitsheader(var fitsheader:Tfitsheader);
var
  i,k,l,l1,l2:integer;
  lastkey:boolean;
  S,S1:string;
begin
  lastkey:=false;
  i:=0; stringgrid1.RowCount:=2;
  k:=0;
  while (i<maxheaderlines) and (not lastkey) do
  begin
    inc(i);
    S:=copy(fitsheader[i],1,8);
    if (S<>'') and (S<>'        ') then
    begin
      inc(k);
      stringgrid1.RowCount:=k+1;
      stringgrid1.cells[0,k]:=S;
      l1:=0;l2:=0;l:=0;
      l1:=pos('''',fitsheader[i]);
      if l1>0 then l2:=l1+pos('''',copy(fitsheader[i],l1+1,80-l1));
      if l2>0 then S1:=copy(fitsheader[i],l1,l2-l1);
      if l2=0 then l:=pos('/',fitsheader[i])
              else l:=pos('/',copy(fitsheader[i],l2+1,80-l1))+l2;
      if (l=0) then l:=80;
      stringgrid1.cells[1,k]:=copy(fitsheader[i],11,l-11);
      if l<80 then stringgrid1.cells[2,k]:=copy(fitsheader[i],l+1,80-1);
      if copy(S,1,3)='END' then lastkey:=true;
    end;
  end;
end;

Procedure Tfitsinfoform.ClearFitsheader;
var
     i:integer;
begin
  for i:=1 to Stringgrid1.RowCount-1 do Stringgrid1.Rows[i].clear;
end;

end.
