unit imgwin;
// Bildfenster fr FITS Bildanalyse
// O. Nickel, Mainz 2005

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls,Abitmap,Gmlib;


type
  Timgform1 = class(TForm)
    PaintBox1: TPaintBox;
    procedure PaintBox1Paint(Sender: TObject);
    procedure PaintBox1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormCreate(Sender: TObject);
    procedure PaintBox1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
private
    { Private declarations }
  public
    { Public declarations }
    drawing: boolean;
    EditStart: TPoint;
    EditMove: TPoint;
    procedure ShowImage(img:Timgbuffer;llevel,ulevel:integer);
  end;

const
  Blinkmode: boolean=false;

var
  imgform1: Timgform1;
  bmp: Tbitmap256;
  palette1: Tpalette256;
  palette: Hpalette;

implementation

{$R *.DFM}
 uses fitsmain1;

 procedure InitImgwin;
 begin
     GetGraypalette(palette1,false);
     palette:=CreatePalette256(palette1);
 end;

   procedure Timgform1.ShowImage(img:Timgbuffer;llevel,ulevel:integer);
   begin
     bmp.free;
     bmp:=Tbitmap256.create;
     bmp.Loadfrombuffer(img,llevel,ulevel,palette);
     ClientHeight:=bmp.height;
     ClientWidth:=bmp.width;
     caption:=extractfilename(img.filename)+' '+img.Datetime;
     Paintbox1Paint(self);
   end;

procedure Timgform1.PaintBox1Paint(Sender: TObject);
   var
     rect:Trect;
begin
     if bmp=nil then exit;
     drawing:=true;
     rect.top:=0; Rect.left:=0;
     rect.Right:=bmp.width;
     rect.Bottom:=bmp.height;
     Paintbox1.canvas.stretchdraw(rect,bmp);
     drawing:=false;
end;

procedure Timgform1.PaintBox1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
  var
    IROI:integer;
begin
  if Button=mbleft then
  begin
  end;
end;

procedure Timgform1.FormCreate(Sender: TObject);
begin
  top:=0; left:=0;
  drawing:=false;
end;

procedure Timgform1.PaintBox1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  If Button=mbleft then
  begin
  end;
end;

begin
  initImgwin;
end.
